ReferenceAdmin
Built-in starting points for common providers (platform admins and auditors)
GET
/v1/admin/auth-provider-presetsA preset only pre-fills the create form; the provider stores whatever is sent. Values in braces in a preset's URLs (such as {tenant}) are listed in urlParameters for the form to ask for.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/admin/auth-provider-presets"{ "data": [ { "preset": "github", "name": "GitHub", "authorizationUrl": "string", "tokenUrl": "string", "revocationUrl": "string", "userinfoUrl": "string", "defaultScopes": [ "string" ], "tokenAuthMethod": "client_secret_basic", "pkce": true, "scopeParam": "string", "scopeSeparator": " ", "tokenResponseFormat": "standard", "extraAuthorizeParams": { "property1": "string", "property2": "string" }, "urlParameters": [ { "name": "tenant", "label": "Directory (tenant) ID, or organizations", "default": "organizations" } ], "docsUrl": "string", "redirectUri": "https://mcp.example.com/connect/callback", "notes": "string" } ]}